function txx=rtxl(h,fs,mode)

[lp,lc,A,B]=lundebye(h,fs);
switch mode,
    case 2
    txx=rtxx(h(1:lp),fs,'iso','direkt',25,5);
    case 1
    txx=(-60-A)/B/fs; % kivonjuk az eltolást is, ez elvileg nem helyes
    otherwise
    txx=(-60)/B/fs; % csak a meredekséget vesszük figyelembe
end;

if isempty(txx), txx=NaN; end;